@import url(./icomoon/style.css);
@import url(./css/variables.css);
@import url(./css/fonts.css);

* {
    margin: 0;
    padding: 0;
}

.blur {
    backdrop-filter: blur(5px);
    background-color: var(--bg);
    border: 1px solid var(--white);
}

body {
    font-family: "Zrnic";
    background-color: black;
    background-image: url('./images/background.jpg');
    color: var(--white);

    background-repeat: no-repeat;
    background-position: bottom;
    background-size: cover;
    min-height: 100vh;
    width: 100%;

    display: flex;
    align-items: normal;
    flex-direction: column;
    justify-content: center;
    overflow-x: hidden;
}

body.splash {
    display: flex;
    align-items: center;
    justify-content: center;
}

.btn {
    background-color: var(--main-color);
    color: var(--white);
    border: none;
    padding: 10px;
    font-size: 16pt;
    font-family: 'Zrnic';
    gap: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.btn:hover {
    background-color: var(--secondary-color);
    cursor: pointer;
}

.btn-red {
    background-color: var(--red);
}

.btn-red:hover {
    background-color: var(--red-hover);
}

.icon {
    font-size: 12pt;
}

.content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: calc(100vh - 100px);
    gap: 20px;
    margin-bottom: 20px;
}

.content.home {
    width: 500px;
}

.content h1 {
    font-size: 26pt;
    font-family: 'Zrnic';
}

.content h2 {
    font-size: 16pt;
    font-family: 'Aptos';
}

.content .welcome {
    border: 1px solid var(--white);
    font-size: 36pt;
    font-family: 'Zrnic';
    padding: 40px 0;
    margin: 20px 0;
    width: 100%;
    text-align: center;
}

.content .splash-menu {
    display: flex;
    width: 100%;
    align-items: stretch;
    max-width: 500px;
    justify-content: space-evenly;
}

a {
    text-decoration: none;
    color: var(--white);
    font-family: 'Aptos';
}

.menu {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;

    gap: 10px;
    padding: 0 20px;
    margin: 10px 0;

    border-width: 1px 0 1px 0;
}

.menu nav {
    display: flex;
    align-items: stretch;
    gap: 10px;
}

.menu nav a {
    font-size: 18pt;
    background: none;
}

.menu nav a:hover {
    background-color: var(--secondary-color);
}

.menu nav a.current {
    background-color: var(--main-color);
    cursor: default;
}

.valign {
    background-color: var(--white);
    display: block;
    width: 1px;
    height: auto;
    margin: 5px 0;
}

.menu a {
    margin-right: 10px;
}

.menu h1 {
    font-size: 25pt;
}

.menu h2 {
    font-size: 20pt;
    font-weight: lighter;
}

/*---------------------------------------------------------*/
/* ROMANS */
/*---------------------------------------------------------*/

.books {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 10px;
    margin-bottom: 20px;
}

.books .left-side {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
    gap: 20px;
}

.books .left-side img {
    width: fit-content;
    padding: 10px;
    max-width: 350px;
}

.books .right-side {
    display: flex;
    flex-direction: column;
    padding: 10px;
    max-width: var(--maxWidth);
    font-size: 14pt;
}

.books .right-side p {
    font-family: 'Aptos';
    text-align: justify;
}

.content .buy-it {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 10px;
    gap: 20px;
    align-items: center;
}
.content .buy-it div{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
}


@media screen and (max-width: 1039px) {
    .books {
        flex-direction: row;
        align-items: flex-start;
    }
}


@media screen and (max-width: 799px) {
    .content .books {
        margin: 0 10px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        flex-wrap: nowrap;
        width: calc(100% - 20px);
    }

    .content .books .left-side img {
        padding: 10px;
        max-width: 100%;
        max-height: 100%;
    }

    .content .books .right-side {
        padding: 10px;
        max-width: 100%;
        width: calc(100% - 20px);
    }
}

.critics {
    width: 100%;
    padding: 30px 0;
    background: rgba(4, 23, 27, .25);
    max-width: none;
    gap: 20px;;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    backdrop-filter: blur(5px);
}

.critics .critic {
    font-family: "Zrnic";
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 10px;
    width: 300px;
    padding: 10px;
    border-radius: 10px;
}

.critics .critic a {
    text-align: right;
    text-decoration: underline;
    color: #91dfff;
}

.critics .critic p {
    font-family: "Aptos";
    text-align: justify;
}

.critics .critic div {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 5px;
    text-align: right;
    font-size: 25pt;
    color: #FFD000;
}

.critics .critic div .icon {
    font-size: 25pt;
}

/*---------------------------------------------------------*/
/* AUTHOR */
/*---------------------------------------------------------*/
.author {
    max-width: var(--maxWidth);
    padding: 10px;
    font-family: 'Aptos';
    display: flex;
    align-items: flex-start;
    gap: 10px;
}

.author p {
    text-align: justify;
    font-size: 14pt;
}

.author p img {
    border: 1px solid white;
    float: right;
    margin: 0 0 5px 15px;
}

@media screen and (max-width: 622px) {
    .author {
        border: none;
    }
}

@media screen and (max-width: 450px) {
    .author {
        border: none;
    }

    .author p img {
        float: none;
        display: block;
        margin: 0 auto 20px auto;
    }
}

.network{
    display: flex;
    flex-direction: column;
    gap: 10px;
    font-size: 16pt;
    font-family: 'Aptos';
}

.network div{
    display: flex;
    flex-direction: row;
    justify-content: center;
    font-size: 24pt;
    gap: 50px;
}

.network div a span{
    font-size: 24pt;
}

/*---------------------------------------------------------*/
/* CONTACT */
/*---------------------------------------------------------*/
.contact {
    display: flex;
    flex-direction: column;
    gap: 10px;
    font-family: 'Aptos';
}

.contact h2 {
    text-decoration: underline;
    font-weight: bold;
    font-size: 16pt;
    width: 500px;
    margin: 20px 0;
}

.contact form,
.contact form label {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.contact form label.newsletter {
    flex-direction: row;
    align-items: center;
    cursor: pointer;
}

.contact form label span {
    font-size: 12pt;
    font-weight: normal;
}

.contact form input[type=text],
.contact form input[type=email],
.contact form textarea {
    backdrop-filter: blur(5px);
    background-color: var(--bg);
    border: 1px solid var(--white);
    border-radius: 5px;
    color: white;
    padding: 10px;
}

.contact form textarea {
    height: 200px;
    resize: none;
}

.contact .send {
    display: flex;
    align-items: flex-end;
    flex-direction: column;
}

.contact .sent {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
}

@media screen and (max-width: 606px) {
    .menu {
        padding: 0 10px;
    }

    .menu a {
        margin: 0;
    }

    .menu a h1 {
        font-size: 1.2em;
    }

    .menu a h2 {
        font-size: 1em;
    }

    .menu nav a {
        font-size: 1.2em;
    }

    .content.home {
        width: calc(100% - 10px);
        text-align: center;
    }

    .content .author {
        margin: 10px;
    }

    .content .author p {
        font-size: 1em;
    }

    .content .contact {
        width: calc(100% - 20px);
        margin: 10px;
    }

    .content .contact h2 {
        width: auto;
    }

}